Introducing EssentialPIM
Top Next

EssentialPIM is a completely free, lightweight yet full-featured organizer, that implements Schedules, Notes and Contacts, - all in one powerful package.

EssentialPIM has been designed as a complete PIM solution, especially for those who uses more then one computer, or travel often. EssentialPIM can even run from USB Memory, diminishing the need for synchronizations.
Thought out simplicity is the power- our motto. Enjoy. And let us know.


License
Previous Top Next

EssentialPIM(tm) License Agreement.

EssentialPIM is FREEWARE.

EPim Ltd. EssentialPIM VERSION 1 END-USER LICENSE AGREEMENT

IMPORTANT-READ CAREFULLY: This EssentialPIM End-User License Agreement ("EULA") is a legal agreement between you (either an individual or a single entity) and EPim Ltd. for the EPim Ltd. SOFTWARE(s) identified above, which includes the User's Guide, any associated SOFTWARE components, any media, any printed materials other than the User's Guide, and any "online" or electronic documentation ("SOFTWARE"). By installing, copying, or otherwise using the SOFTWARE, you agree to be bound by the terms of this EULA. If you do not agree to the terms of this EULA, do not install or use the SOFTWARE. If the SOFTWARE was mailed to you, return the media envelope, UNOPENED, along with the rest of the package to the location where you obtained it within 30 days from purchase.

1. The SOFTWARE is licensed, not sold.

2. GRANT OF LICENSE.

(a) Freeware. You may use the SOFTWARE without charge. EPIM Ltd. may place announces of its other PIM-related products into EssentialPIM. EPim Ltd. will not monitor the content of your use (e.g., sites selected or files used).
(b) Redistribution of EssentialPIM. You may make copies of the evaluation SOFTWARE as you wish; give exact copies of the original SOFTWARE to anyone; and distribute the SOFTWARE in its unmodified form via electronic means (Internet, BBS's, Shareware distribution libraries, CD-ROMs, etc.). You may not charge any fee for the copy or use of the evaluation SOFTWARE itself, but you may charge a distribution fee that is reasonably related to any cost you incur distributing the evaluation SOFTWARE (e.g. packaging). You must not represent in any way that you are selling the SOFTWARE itself. Your distribution of the SOFTWARE will not entitle you to any compensation from EPim Ltd.. You must distribute a copy of this EULA with any copy of the SOFTWARE and anyone to whom you distribute the SOFTWARE is subject to this EULA.

3. RESTRICTIONS. You may not reverse engineer, de-compile, or disassemble the SOFTWARE, except and only to the extent that such activity is expressly permitted by applicable law notwithstanding this limitation. You may not rent, lease, or lend the SOFTWARE. You may permanently transfer all of your rights under this EULA, provided the recipient agrees to the terms of this EULA. You may not use the SOFTWARE to perform any unauthorized transfer of information (e.g. transfer of files in violation of a copyright) or for any illegal purpose.

4. SUPPORT SERVICES. EPim Ltd. may provide you with support services related to the SOFTWARE. Use of Support Services is governed by the EPim Ltd. polices and programs described in the user manual, in online documentation, and/or other EPim Ltd.-provided materials, as they may be modified from time to time. Any supplemental SOFTWARE code provided to you as part of the Support Services shall be considered part of the SOFTWARE and subject to the terms and conditions of this EULA. With respect to technical information you provide to EPim Ltd. as part of the Support Services, EPim Ltd. may use such information for its business purposes, including for product support and development. EPim Ltd. will not utilize such technical information in a form that personally identifies you.

5. TERMINATION. Without prejudice to any other rights, EPim Ltd. may terminate this EULA if you fail to comply with the terms and conditions of this EULA. In such event, you must destroy all copies of the SOFTWARE.

6. COPYRIGHT. The SOFTWARE is protected by United States copyright law and international treaty provisions. You acknowledge that no title to the intellectual property in the SOFTWARE is transferred to you. You further acknowledge that title and full ownership rights to the SOFTWARE will remain the exclusive property of EPim Ltd. and you will not acquire any rights to the SOFTWARE except as expressly set forth in this license. You agree that any copies of the SOFTWARE will contain the same proprietary notices which appear on and in the SOFTWARE.

7. NO WARRANTIES. EPim Ltd. expressly disclaims any warranty for the SOFTWARE. THE SOFTWARE AND ANY RELATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OR MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NONINFRINGEMENT. THE ENTIRE RISK ARISING OUT OF USE OR PERFORMANCE OF THE SOFTWARE REMAINS WITH YOU.

8. LIMITATION OF LIABILITY. IN NO EVENT SHALL EPim Ltd. OR ITS SUPPLIERS BE LIABLE TO YOU FOR ANY CONSEQUENTIAL, SPECIAL, INCIDENTAL, OR INDIRECT DAMAGES OF ANY KIND ARISING OUT OF THE DELIVERY, PERFORMANCE, OR USE OF THE SOFTWARE, EVEN IF EPim Ltd. HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. IN ANY EVENT, EPim Ltd.'S LIABILITY FOR ANY CLAIM, WHETHER IN CONTRACT, TORT, OR ANY OTHER THEORY OF LIABILITY WILL NOT EXCEED THE GREATER OF U.S.$1.00 OR LICENSE FEE PAID BY YOU.

9. U.S. GOVERNMENT RESTRICTED RIGHTS. The SOFTWARE is provided with RESTRICTED RIGHTS. Use, duplication, or disclosure by the Government is subject to restrictions as set forth in subparagraph (c)(1)(ii) of The Rights in Technical Data and Computer SOFTWARE clause of DFARS 252.227-7013 or subparagraphs (c)(i) and (2) of the Commercial Computer SOFTWARE-Restricted Rights at 48 CFR 52.227-19, as applicable.


Features

EssentialPIM is a free full-featured personal information manager, which:

· will run fast on your computer (executable is about 1.0 Mb)
· has all essential features you need- Dayplanning, Contact management, To-Do list and versatile Notes
· will allow you to carry all of your personal information with you (can run straight from USB Flash drive)- no more synchronizations!
· will protect all your data very strongly- database can be encrypted- using industrial-strenght algorithms (Rijndael, 128 bit key- Advanced Encryption Standard (AES))
· will allow you to print or save (and share) your schedule, contacts or notes exactly the way you want it- multiple views and formats are included
· gets you started fast- full import from Outlook/Outlook Express and Windows Address Book
· will make your data versatile- import and export the information back and forth to- HTML, RTF, CSV and TXT.
· yes, EssentialPIM is a 100% freeware (no adware, spyware included)
· multilingual interface- now in English, Italian, Spanish, Greek, Deutch, Portuguese, Chinese, Norwegian, Russian, Dutch, Danish, French


Working with EssentialPIM

EssentialPIM implements a number of features. At the same time, most of them are untuitive, which allowed to make simple interface. The following topics describe steps you have to take to work effectively with the program and also make it easier to organize and syncronize your data.

Schedules - dayplanning the versatile way
To-do lists- quick and simple list of things to do
Notes- any data can be stored in tree-structured notes
Contacts- all contacts organized

Below is the main EssentialPIM window:

snap1

Window 1 is the easiest way to add, edit or delete a task, note or contact. The contents of this window changes, depending on the module (Tasks, Notes or Contacts) open.

Window 2 it is the calendar. It can be used to have overview over your schedule and for easy navigation.

Window 3 is the main window of the module, its properties and view change, depending on the module open.

Window 4 is used for selection of modules- Schedules, Notes, or Contacts.

Window 5 is the main menu.


Schedules

Schedules can hold 3 types of entries:

· timed entries (tasks, having beginning time and end time)
· non-timed entries (tasks, which are assigned for the whole day(s))
· to-do list items

Day Schedules can have variable timescale- right-click in Day Schedule and select Time-Scale.
Schedules can show either military or AM/PM schedules,- it is selected based upon you current MS Windows settings.
Week can start either on Monday or Sunday,- it is selected based upon you current MS Windows settings.


Adding a task

The screenshot below explains how to easily add a certain task:

(Using mouse, highlight the time needed for the task and release the button: the new task pop-up windows appears. Just enter the text and, if needed, assign Priority, Category, Completion, Alarms and Re-occurence, then press OK)

Another way:

snap2

Press "Add" button. In the opened pop-up window:

1. select start time
2. enter text
3. assign needed parameters

To enter a non-timed entry for the day: the process is the same, except you need to check the "All day event" box.

-"Exclusive task"- enabling this option for the task will ensure that this task's time will not be taken by any other task. If you will try later to add a task with time coinciding with "Exclusive task"- EssentialPIM will not let you do it.
- "All day event"- that is the task that does not have a certain time, rather, it is assigned to the whole day and will appear on top of each day


To-Do list

To-Do entry:

snap4

To enter a "To- Do" entry, please select "to-do" View, as shown on screenshot. After this, click on a "Add" button- it will add a "To-do" entry.


Notes

"Notes" can hold formatted text, tables and images (.jpg, .bmp, .ico, .emf, .wmf formats supported).

To add a new note,

snap6

press "Add" on a right-side bar.

After this, enter the name for the note:

snap8
and press Enter.

In the lower window now you can enter the text, insert pictures, tables and lists. Use the toolbar:

snap9

to edit the text in the note.

To change position of any note in the tree, just drag and drop it at desired position.


Contacts

Contacts can hold all of your contacts. It supports unlimited custom fields, sorting and multiple views.

To add a contact:

snap6

press "Add" in the right-side bar. In the pop-up window, please enter the data for your contact. Select from different tabs in the contact edit window to enter "Personal Info", "Work" and "Notes". To add a custom field, click on a "Add field" button. Enter the name for the field.
Contacts can hold pictures and photos, for each contact (Contact Info-> Picture). You can later export the picture from EssentialPIM to your harddrive again (Save...)

To search a contact
Start writing in the "Find" field. You can also limit the search to a certain field.

To change the fields
Shown in the main window, right- click on the names of the fields in the window and put check on the field that needs to be shown. If you need to change many fields, right-click on fields names and choose "Customize".

To edit a contact
Double-click on it in the main view. A separate window listing contacts details will open. Edit any of the fields and press OK.

To sort contacts
Click on the name of the field in the main view, according to which it needs to be sorted.


Exporting

EssentialPIM offers a large variety of formats to export your existing data. Export options are at File-> Export->

All data can be exported one-by one, or you can select multiple entries using CTRL + mouse (for contacts and Notes), or All entries can be exported.

Contacts can be exported to:

· Windows Address Book (*.WAB, can be opened by double-clicking on it in Windows, also used by MS Outlook Express)
· Comma Separated Values (*.CSV, can be opened by MS Excel or Text Editor)
· HTML (*.HTML, can be opened by any Internet Browser)
· RichTextFormat (.RTF, can be opened by many Text Editors)
· TextFiles (*.TXT, can be opened by any Text Editor)

Notes can be exported to:

· HTML (*.HTML, can be opened by any Internet Browser)
· RichTextFormat (.RTF, can be opened by many Text Editors)
· TextFiles (*.TXT, can be opened by any Text Editor)

To-Do list can be exported to:

· HTML (*.HTML, can be opened by any Internet Browser)
· RichTextFormat (.RTF, can be opened by many Text Editors)
· TextFiles (*.TXT, can be opened by any Text Editor)

Schedules can be exported to:

· HTML


Importing

EssentialPIM makes your transition from other PIM easy.

You can import:

· Schedules, Contacts and Notes from MS Outlook
· Contacts from Windows Address Book (*.WAB, also used by MS Outlook Express)
· Contacts from Comma Separated Values (*.CSV, major PIMs can export any data to this format, so it can be used as transitional format)


Printing

EPIM allows you to pring out all your information in easy to read form. Print menu is accesable at File->Print
EPIM currently uses Internet Explorer to preview and print out all information, so installed IE is a pre-requirement.

What you print will depend on in which view you are currently: in Schedules, Notes, or Contacts.
All data can be printed one-by one, or you can select multiple entries using CTRL + mouse (for contacts and Notes), or All entries can be printed.
To rotate the page, in the Print Preview Page, find "Page Setup", or press Alt+U and you will be able to change the Orientation of the page.

Printing Schedules
There are several option of how to print Schedules: Day View, Week View and Month View. All are different options for representing your day schedule. You can also print several Days, Weeks and Months.

Printing Contacts
You can select which contacts to print out (using CTRL+ Mouse, or Shift+ Keyboard arrows), or print out all.

Printing Notes
You can select several, one or all notes to print out into. A tree of all notes is printed above all notes.


First Run

When you run EssentialPIM for the first time, the program creates test.epim database, which contains test tasks and contacts. Feel free to create a new database file by choosing File-> New, or editing the created database.


EPIM on USB drive

Essential PIM can run from USB Memory drive. All settings are stored in username.ini file, which is stored in EPIM installation directory.

To get the stand-alone version for extracting to USB drive, please visit our download page.


Information for translators

EPIM Ltd welcomes people to translate EssentialPIM's program language file and/or Help file into their native languages.

Interface
Whole EssentialPIM's interface is contained in ENGLISH.LNG file, which is situated in EPIM's installation directory. Please feel free to take the file and start translating. Usually it takes a couple of hours.

Help file
Translators can download Translator's package, which contains Help file both in RTF (Word) and HTML format. Either whole RTF or all of HTML files can be translated and sent to us- a new help in your native language will be included in the next version of EssentialPIM.

Download translator's package (200 KB)


Support

EPIM Ltd. is committed to supporting its customers. Please feel free to browse through the below listed topics and find the most appropriate way to get your queston/problem resolved.


FAQ

Q: Is EssentialPIM really free?
A: Yes, completely. If you download it from our website, we guarantee it is completely free of any adware, spyware, etc.

Q: Will EssentialPIM free become a paid software?
A: No. It will not. EssentialPIM is and will stay freeware. We might want to release a Pro version, featuring some features, requiring extra work- but that will not affect the free version in any way. It will not be crippled, will not be abandoned.

Q: Can I request a feature?
A: Yes, of course. We try to really attentively listen to the users- that's how EssentialPIM is being developed. Please post your request here: Online Support Forum -> Suggestions

Q: Is EssentialPIM translated to ... language?
A: For a current list of translations, please check here. If you do not see EssentialPIM translated to your language- please feel free to do it, it is really easy. Just visit the Translators' Page.

Q: Can I help make EssentialPIM better?
A: Yes, you can make a donation, translate EssentialPIM into your native language, or suggest a feature.

Q: Why isn't EssentialPIM open source?
A: The EssentialPIM is programmed in Delphi. We use several external components, licences of which do not allow us to re-distribute their source code. Using quality external components allowed us to faster deliver EssentialPIM to you!


Update

Updating EssentialPIM

To check, whether you need to update, start EssentialPIM and select Help->Check For New Version- it will open Internet page, which will say whether you have the latest version.

You can always download the latest version of the program from our Web site - www.essentialpim.com


Troubleshooting

If you experience any problem with EssentialPIM, please follow these steps to find a solution:

· Make sure that you have installed the latest version
· Visit our online support community forum at www.essentialpim.com/forum
· If you still have not found the answer, do not hesitate to contact us at epimsupport@essentialpim.com


Contact

Contact Us
Previous Top

Please do not hesitate to contact us:

By e-mail
For general information please e-mail us at epiminfo@EssentialPIM.com
For sales information please e-mail us at epimsales@EssentialPIM.com
For technical support please e-mail us at epimsupport@EssentialPIM.com

By fax/phone
Fax: +1-208-694-4818
Phone: +3-725-192-7921

By post
EPIM Ltd.
238 St. Georges Ave.
Linden, NJ 07036
USA